/*  Copyright (C) 2015 Zoltán Nagy
 *  Created by Zoltán Nagy on 4/3/15.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __duct_cxx_list_h__
#define __duct_cxx_list_h__ 1

/*   std includes   */
#include <list>

/*   project headers   */
#include <cxx/bits/cxx-poly-memory.h>


namespace duct {
  namespace pmr {
 
    template <class T>
    using list = std::list<T, polymorphic_allocator<T>>;
    
  }
}

#endif
