/*  Copyright (C) 2015 Zoltán Nagy
 *  Created by Zoltán Nagy on 1/30/15.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __deductor_filesystem_h__
#define __deductor_filesystem_h__ 1

/*   std includes   */

/*   project headers   */
#include <cxx/filesystem/fs-path.h>
#include <cxx/filesystem/fs-status.h>
#include <cxx/filesystem/fs-error.h>
#include <cxx/filesystem/fs-opers.h>
#include <cxx/filesystem/fs-dir.h>
#include <cxx/filesystem/fs-search-path.h>


namespace duct {
  
  /*   namespace alias  under namespace duct    */
  namespace fs = filesystem;
  
  
}

#endif
